Unarchive Variations
1 min
POST
https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived
Path Parameters
- project_idintegerrequiredExampleDescription
- flag_keystringrequiredExampleDescription
Body Parameters
- bodyBulkOperationsRequestBodyrequiredExample
{ "keys": [ "high_discount" ] }- keysstring[]Description
Responses
200
- VariationMapExample
{ "high_discount": { "archive_url": "...", "archived": false, "created_time": "2019-05-08T00:00:00+00:00", "delete_url": "...", "description": "Use this to provide high discounts", "enabled": true, "environment_usage_count": { "development": 2, "production": 3 }, "fetch_flag_url": "...", "flag_key": "recurring_deposit", "id": 45633995, "key": "high_discount", "name": "High Discount", "unarchive_url": "...", "update_url": "...", "updated_time": "2019-05-08T00:00:00+00:00", "url": "...", "urn": "variations.flag.optimizely.com::45633995", "variables": { "advanced": { "key": "advanced", "type": "json", "value": "{\n\t\"hello\": 123\n}" }, "amount": { "key": "amount", "type": "double", "value": 10 }, "message": { "key": "message", "type": "string", "value": "Enjoy!!" } } }, "low_discount": { "low_discount": { "archive_url": "...", "archived": false, "created_time": "2019-05-08T00:00:00+00:00", "delete_url": "...", "description": "Use this to provide low discounts", "enabled": true, "environment_usage_count": { "development": 2, "production": 3 }, "fetch_flag_url": "...", "flag_key": "recurring_deposit", "id": 45633995, "key": "low_discount", "name": "Low Discount", "unarchive_url": "...", "update_url": "...", "updated_time": "2019-05-08T00:00:00+00:00", "url": "...", "urn": "variations.flag.optimizely.com::45633995", "variables": { "advanced": { "key": "advanced", "type": "json", "value": "{\n\t\"hello\": 123\n}" }, "amount": { "key": "amount", "type": "double", "value": 2 }, "message": { "key": "message", "type": "string", "value": "Enjoy!!" } } } } }Description
400
401
403
404
409
curl
curl --request POST \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variations/unarchived"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful unarchive of Variations.
Response is a dictionary of variation_key (key) and Variation for a Flag (value)
The response includes RESTful JSON (https://restfuljson.org/) styled links. If a
link is not present in the response, it indicates a user is not authorized to access
the related resource.
{}400
// Malformed requests and invalid parameter names and types
401
// Invalid credentials
403
// Do not have permission to perform the operation
404
// Not found. No content
409
// Conflicting resource state with requested action